from phaser import *
i = InputMR_DAT()
HKLIN = "../tutorial/beta_blip_P3221.mtz"
i.setHKLI(HKLIN)
r = runMR_DAT(i)
i = InputCCA()
i.setSPAC_HALL(r.getSpaceGroupHall())
i.setCELL6(r.getUnitCell())
i.addCOMP_PROT_MW_NUM(28853,1)
i.addCOMP_PROT_MW_NUM(17522,1)
del(r)
r = runCCA(i)
print(r.summary())
print("Cell Content Analysis")
print("Molecular weight of assembly = ", r.getAssemblyMW())
print("Best Z value = ", r.getBestZ())
print("Best VM value = ", r.getBestVM())
print("Probability of Best VM = ", r.getBestProb())
